GetbeelDocs

Libro cespiti of a year

Every asset owned during the year with the fondo at 1 January and 31 December, the quota of the year and any disposal; totals per category and a summary of the closing entries for the accountant (no general ledger is kept). format=csv or xlsx returns the file. Always to check ("da verificare").

GET
/companies/me/fixed-assets-register

Every asset owned during the year with the fondo at 1 January and 31 December, the quota of the year and any disposal; totals per category and a summary of the closing entries for the accountant (no general ledger is kept). format=csv or xlsx returns the file. Always to check ("da verificare").

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Query Parameters

year*integer

Tax year, e.g. 2026

Range2000 <= value <= 2100
format?string
Default"json"
Value in"json""csv""xlsx"

Response Body

OK

application/json
  1. response
object*string
year*integer
Range-9007199254740991 <= value <= 9007199254740991
lines*array<>
totals*
by_category*array<>
closing_entries*array<>

Summary of the year’s closing entries for the accountant (no general ledger in getbeel)

reliable*boolean
note*string
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/companies/me/fixed-assets-register?year=2000'
Example Response
{  "object": "fixed_assets_register",  "year": -9007199254740991,  "lines": [    {      "asset_id": "string",      "name": "string",      "category_label": "string",      "coefficient": 0,      "purchase_date": "2026-10-29",      "in_service_date": "2026-10-29",      "cost": "122.00",      "opening_accumulated": "122.00",      "amount": "122.00",      "kind": "depreciation",      "closing_accumulated": "122.00",      "residual": "122.00",      "disposal": {        "date": "2026-10-29",        "price": "122.00",        "residual": "122.00",        "gain": "122.00"      }    }  ],  "totals": {    "cost": "122.00",    "depreciation": "122.00",    "full_deduction": "122.00",    "gains": "122.00",    "losses": "122.00"  },  "by_category": [    {      "category_label": "string",      "kind": "tangible",      "depreciation": "122.00",      "full_deduction": "122.00"    }  ],  "closing_entries": [    {      "description": "string",      "debit": "string",      "credit": "string",      "amount": "122.00"    }  ],  "reliable": false,  "note": "string"}